# -*- coding: utf-8 -*-

DRILLING_METHOD = {
    "DRLMTD_HA": "Auger",
    "DRLMTD_CFA": "Continuous flight auger",
    "DRLMTD_ADM": "Auger with drilling mud",
    "DRLMTD_HSA": "Hollow Stem Auger",
    "DRLMTD_DTM": "Disintegrating tool with mud circulation",
    "DRLMTD_COR": "Core drilling",
    "DRLMTD_RTR": "Rotary drilling",
    "DRLMTD_RRFFM": "Rotary reverse flow of flushing medium",
    "DRLMTD_RTRPRC": "Rotary percussion",
    "DRLMTD_RPM": "Rotary percussion with mud",
    "DRLMTD_DTH": "Downhole hammer",
    "DRLMTD_DRI": "Driving",
    "DRLMTD_DS": "Driven sampler",
    "DRLMTD_DST": "Driven slotted tube",
    "DRLMTD_STDTM": "Slotted tube with inside disintegrating tool and mud circulation",
    "DRLMTD_CPD": "Cable percussion drilling",
    "DRLMTD_VDS": "Vibro driven sampler",
    "DRLMTD_VD": "Vibration drilling",
    "DRLMTD_VS": "Vibro-sinking",
    "DRLMTD_PS": "Push sampler",
}

DRILLING_TOOL = {
    "DRLBIT_BLD": "Blade bit",
    "DRLBIT_BLD2": "2 Blades bit",
    "DRLBIT_BLD3": "3 Blades bit",
    "DRLBIT_BLD4": "4 Blades bit",
    "DRLBIT_BLDTIP": "Bladed tool tip",
    "DRLBIT_BLDTUB": "Bladed tool with tube topped",
    "DRLBIT_JET": "Jet bit",
    "DRLBIT_RTDK": "Rotary disk bit",
    "DRLBIT_FLTCHS": "Flat chisel",
    "DRLBIT_CRSCHS": "Cross chisel",
    "DRLBIT_STPCHS": "Cross Cut Step bit with TCI",
    "DRLBIT_BTT": "Buttons bit (Rotary percussion)",
    "DRLBIT_BTTDTH": "Buttons bit DTH",
    "DRLBIT_BTTODX": "Button bit ODEX",
    "DRLBIT_CTTPDC": "Cutter bit PDC (polycrystalline diamond compact)",
    "DRLBIT_CTTGHI": "Cutter bit GHI (grit hotpressed inserts)",
    "DRLBIT_STBB": "Stubber (heavy tool)",
    "DRLBIT_CACH": "California chisel bit",
    "DRLBIT_BICN": "Bicone bit",
    "DRLBIT_TRCN": "Tricone bit",
    "DRLBIT_CNST": "Tricone Steeltooth bit",
    "DRLBIT_CNTCI": "Tricone TCI (Tungsten Carbide Insert)",
    "DRLBIT_SPRL": "Spiral bit",
    "DRLBIT_AUG": "Auger",
    "DRLBIT_ABCK": "Auger with bucket",
    "DRLBIT_HA": "Hand Auger",
    "DRLBIT_HSA": "Hollow Stem Auger",
    "DRLBIT_CFA": "Continuous Flight Auger",
    "DRLBIT_COR": "Core bit",
    "DRLBIT_TC": "Tungsten carbide set",
    "DRLBIT_GTS": "Geotechnical saw-tooth carbide set",
    "DRLBIT_PCD": "Polycrystalline diamond core bit",
    "DRLBIT_TSP": "Thermally stable polycrystalline set",
    "DRLBIT_STCB": "Single-tube corebarrel",
    "DRLBIT_DTCB": "Double-tube corebarrel",
    "DRLBIT_TTCB": "Triple-tube corebarrel",
    "DRLBIT_DTCBXT": "DD/TT corebarrel with extended inner tube",
    "DRLBIT_OSTW": "Open-sampler thin-walled (Shelby)",
    "DRLBIT_OSTKW": "Open-sampler thick-walled",
    "DRLBIT_HPS": "Hydraulic Piston samplers",
    "DRLBIT_PSTKW": "Piston samplers, thick-walled",
    "DRLBIT_PSTW": "Piston samplers, thin-walled",
    "DRLBIT_CPDS": "Bit with shell (or bailer)",
    "DRLBIT_CPDC": "Bit with clay cutter",
    "DRLBIT_CPSS": "Sectional shell",
}


DRILLING_PARAMETERS_LOG = {
    "time": "Measured time",
    "DEPTH": "Measured penetration length",
    "AS": "Advance Speed (penetration rate)",
    "EVP": "Event Particular",
    "EVR": "Event new Rod",
    "EVS": "Event start relay",
    "TP": "Tool pressure",
    "IP": "Injection pressure",
    "TQ": "Rotation pressure (Torque)",
    "TQC": "Casing Rotation pressure",
    "RSP": "Rotation Speed",
    "RSPC": "Casing Rotation Speed",
    "HP": "Holding Pressure",
    "SP": "Striking Pressure",
    "RV": "Reflected Vibration",
    "IF": "Injection Flow (inlet flow)",
    "OF": "Drilling fluid outflow (Outlet Flow)",
    "IV": "Injection Volume",
    "OV": "Outlet Volume",
    "AP": "Air Pressure",
    "AF": "Air Flow",
    "AV": "Air Volume",
    "WF": "Water Flow",
    "WP": "Water Pressure",
    "WV": "Water Volume",
    "ECM": "Electrical Conductivity of Mud",
    "PHM": "pH of Mud",
    "DO2M": "Dissolved O2 in Mud",
    "TEMPM": "Temperature of Mud",
}


PRESSUREMETER_TEST_TYPES = {
    "ground": "Ménard pressuremeter test in natural soils",
    "volume_loss": "Equipment volume loss calibration test",
    "pressure_loss": "Probe pressure loss calibration test",
}

PRESSUREMETER_LOG_NAMES = {
    "time": "Measured time",
    "STEP": "Step number",
    "PR1": "Liquid pressure at 1s",
    "PR15": "Liquid pressure at 15s",
    "PR30": "Liquid pressure at 30s",
    "PR60": "Liquid pressure at 60s",
    "PG1": "Gas pressure at 1s",
    "PG15": "Gas pressure at 15s",
    "PG30": "Gas pressure at 30s",
    "PG60": "Gas pressure at 60s",
    "V1": "Volume of injected liquid at 1s",
    "V15": "Volume of injected liquid at 15s",
    "V30": "Volume of injected liquid at 30s",
    "V60": "Volume of injected liquid at 60s",
    "CREEP": "Difference in volumes recorded at 60 s and at 30 s at each pressure hold",
    "DELT60": "60s injected volume change between successive pressure holds",
}
